<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
    <script src="https://cdns.gigya.com/js/gigya.js?apikey=3_2Xy01_k0pCw7rKrcQ85A9UGunPed3TY-PkNZpqZT_SmNgpbcWPH_op7_He2Fi2E5"></script>
  </head>
  <body>
    <div>
      <input id="emailInput" type="text" placeholder="Email" name="email" />
    </div>
    <div>
      <input type="checkbox" id="subscribe" />
      <label for="subscribe">Subscribe to newsletter</label>
    </div>
    <button onclick="liteRegStart()">Submit</button>

    <script>
      function liteRegistrationCallback(res) {
        const myToken = res.regToken;
        const myEmail = document.getElementById('emailInput').value;
        const myProfile = {
          email: myEmail,
          //, any additional profile data collected, i.e., firstName
        };
        const isSubscribed = document.getElementById('subscribe').checked;
        const callParams = {
          regToken: myToken,
          profile: myProfile,
          subscriptions: {
            radio_10_b2c_general: {
              // This MUST be active and predefined in your site's schema or setAccountInfo will fail!
              email: {
                isSubscribed: isSubscribed, // This tells whether the user is actually subscribed to the subscription, this can be false if the user registers but does not want to receive the newsletter.
                tags: [
                  // Any tags you want to associate with this user.
                  // The tags property should be removed if you are not setting tags or any existing data will be deleted.
                ],
              },
            },
          },
        };
        gigya.accounts.setAccountInfo(callParams);
      }

      function liteRegStart() {
        gigya.accounts.initRegistration({
          isLite: true,
          callback: function (res) {
            liteRegistrationCallback(res);
          },
        });
      }
    </script>
  </body>
</html>
